Fedora 21 Update: libhif-0.2.0-3.fc21

updates at fedoraproject.org updates at fedoraproject.org
Sun Jun 21 00:07:16 UTC 2015


--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2015-9570
2015-06-07 08:59:05
--------------------------------------------------------------------------------

Name        : libhif
Product     : Fedora 21
Version     : 0.2.0
Release     : 3.fc21
URL         : https://github.com/hughsie/libhif
Summary     : Simple package library built on top of hawkey and librepo
Description :
This library provides a simple interface to hawkey and librepo and is currently
used by PackageKit and rpm-ostree.

--------------------------------------------------------------------------------
Update Information:

Latest bugfix releases of the gnome-software stack. Notably, the updates improve HiDPI support, fix a number of crashers, and fix issues with installing kernel updates.

gnome-software 3.14.5

 - Fix a crash in the screenshot loader
 - Fix a crash when installing rpms that lack description
 - Wrap long descriptions in the update dialog
 - Reduce network timeouts to one minute
 - Avoid scaled up fonts on non-HiDPI displays
 - Correctly save HiDPI images to HiDPI directories
 - Scroll the contents of the error message dialog

PackageKit 1.0.6

 - Fix an issue where PackageKit would skip all kernel updates when 3rd party kernel modules are installed
 - Fix a frequent crash when searching for packages

libhif 0.2.0

 - Remove obsoleted packages when committing transaction

libappstream-glib 0.4.0

 - Add a mirror-screenshots command to appstream-util
 - Check for duplicate screenshots when adding fonts
 - Detect recolorable symbolic icons
 - Fix a crash for an invalid AppData file
 - Remove all networking support when building metadata
 - Fix exo-web-browser blacklist entry
--------------------------------------------------------------------------------
ChangeLog:

* Wed May 13 2015 Kalev Lember <kalevlember at gmail.com> 0.2.0-3
- context: Fix rpmdb file monitor with / installs (#1221158)
* Wed Apr 15 2015 Kalev Lember <kalevlember at gmail.com> 0.2.0-2
- Remove obsoleted packages when committing transaction (#1211991)
* Wed Apr  8 2015 Richard Hughes <richard at hughsie.com> 0.2.0-1
- Update to new upstream version
- Add new API required for ostree
* Sat Mar 28 2015 Kalev Lember <kalevlember at gmail.com> - 0.1.8-7
- Fix broken -devel package requires
* Mon Mar 16 2015 Than Ngo <than at redhat.com> - 0.1.8-6
- bump release and rebuild so that koji-shadow can rebuild it
  against new gcc on secondary arch
* Fri Feb  6 2015 Richard Hughes <richard at hughsie.com> 0.1.8-5
- Adapt to the new hawkey API.
* Tue Feb  3 2015 Richard Hughes <richard at hughsie.com> 0.1.8-4
- Do not crash when file:///tmp exists, but file:///tmp/repodata does not
* Tue Feb  3 2015 Richard Hughes <richard at hughsie.com> 0.1.8-3
- Do not add the source to the sack if it does not exist, which fixes a crash
  for repo files with things like baseurl=file:///notgoingtoexist
- Resolves: #1135740
* Tue Feb  3 2015 Richard Hughes <richard at hughsie.com> 0.1.8-2
- Ensure the mirror list is set before trying to download packages
- This works around a librepo behaviour change in the latest update
- Resolves: #1188600
* Mon Jan 19 2015 Richard Hughes <richard at hughsie.com> 0.1.8-1
- Update to new upstream version
- Do not attempt to read from a closed file descriptor
- Do not use hif_context_get_transaction() from multiple threads
- Ensure HifContext can be finalised to prevent rpmdb index corruption
- Resolves: #1183010
* Thu Jan 15 2015 Richard Hughes <richard at hughsie.com> 0.1.7-3
- Do not download the mirrorlists when checking for updates
- Resolves: #1181501
* Wed Jan 14 2015 Richard Hughes <richard at hughsie.com> 0.1.7-2
- Fix auto-importing of GPG keys during installing
- Resolves: #1182090 and #1182156
* Fri Dec 19 2014 Richard Hughes <richard at hughsie.com> 0.1.7-1
- Update to new upstream version
- Add the concept of metadata-only software sources
- Correctly update sources with baseurls ending with a slash
- Don't unref the HifSource when invalidating as this is not threadsafe
- Improve handling of local metadata
- Support appstream and appstream-icons metadata types
* Wed Nov 26 2014 Richard Hughes <richard at hughsie.com> 0.1.6-2
- Do not crash when trying to parse pathological files like bumblebee.repo
- Resolves: #1164330
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #1205649 - virtualbox/nvidia driver installed makes newer kernel updates to be ignored in packagekit
        https://bugzilla.redhat.com/show_bug.cgi?id=1205649
  [ 2 ] Bug #1185674 - [abrt] PackageKit: pool_id2solvable(): packagekitd killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1185674
  [ 3 ] Bug #1147173 - [abrt] PackageKit: magazine_chain_pop_head(): packagekitd killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1147173
  [ 4 ] Bug #1146734 - [abrt] PackageKit: hy_repo_free(): packagekitd killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1146734
  [ 5 ] Bug #1226426 - [abrt] gnome-software: strlen(): gnome-software killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1226426
  [ 6 ] Bug #1185544 - [abrt] PackageKit: hy_package_get_reponame(): packagekitd killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1185544
  [ 7 ] Bug #1185405 - [abrt] PackageKit: package_pool(): packagekitd killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1185405
  [ 8 ] Bug #1216218 - Exo in GNOME software appears as Web browser, removing removes half of Xfce
        https://bugzilla.redhat.com/show_bug.cgi?id=1216218
  [ 9 ] Bug #1210555 - Update failed, popup too large, not scrolable
        https://bugzilla.redhat.com/show_bug.cgi?id=1210555
  [ 10 ] Bug #1184841 - [abrt] gnome-software: gs_plugin_refine_item_pixbuf(): gnome-software killed by SIGSEGV
        https://bugzilla.redhat.com/show_bug.cgi?id=1184841
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use
su -c 'yum update libhif' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------


More information about the package-announce mailing list